> ## Documentation Index
> Fetch the complete documentation index at: https://developers.harvey.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete an entire vault project and all its contents

### Permissions

Requires `Vault API` and `Modify workspace projects` permissions.


## OpenAPI

````yaml /vault_api.json delete /api/v1/vault/delete_project/{project_id}
openapi: 3.0.1
info:
  title: Vault - Upload Documents
  description: >-
    The Vault Upload Documents API enables users to programmatically upload and
    manage documents within Vault projects. This API allows organizations to
    maintain projects with their own internal files for their users to use
    within the Harvey app.
  version: 1.0.0
  contact:
    email: support@harvey.ai
servers:
  - url: https://api.harvey.ai
    description: Harvey API server
security: []
paths:
  /api/v1/vault/delete_project/{project_id}:
    delete:
      tags:
        - Vault
      summary: Delete an entire vault project and all its contents
      operationId: deleteVaultProject
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: The unique identifier of the project to delete
      responses:
        '200':
          description: >-
            Project deletion accepted. Deletion continues asynchronously after
            the API request returns.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Deletion status message.
                    example: Project deletion is in progress
                required:
                  - message
              examples:
                inProgress:
                  summary: Deletion queued
                  value:
                    message: Project deletion is in progress
        '400':
          description: Bad request.
        '401':
          description: Unauthorized.
        '403':
          description: >-
            Forbidden - Cannot delete example projects or insufficient
            permissions
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Cannot delete example projects
        '404':
          description: Project not found.
        '409':
          description: >-
            Conflict - Project deletion partially failed due to processing
            conflicts
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: >-
                      Project deletion partially failed due to processing
                      conflicts
                  details:
                    type: object
                    properties:
                      failed_folders:
                        type: integer
                        description: Number of folders that failed to delete
                      failed_files:
                        type: integer
                        description: Number of files that failed to delete
        '500':
          description: Internal server error.
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````